Subject: 1915 1st ed Phillips Beekeeping F.S.

From: [email-masked] (Keith Moore)
Date: 7 Feb 1995 04:28:29 GMT

I have a copy of E.F. Phillips Beekeeping : A discussion of the Life of 
the Honeybee and the production of Honey (MacMillan, 1915) for sale. This 
is an old withdrawn (long ago I think) library copy with no dust cover. 
Larry Connors priced a 1943 printing of this book at U.S. $40.00 (see 
Connor Letter), I'd look at offers over U.S. $50.00. (Has wonderful line 
drawings of bees, plants and equipment.)   

I also have a copy of the 34th ed of ABC - XYZ of Bee Culture (1972) for 
U.S. $12.00 ($16.00 Canadian)

Prices are post paid.